﻿Public Class Form1
    Private Sub btnBackColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBackColor.Click
        cdBackColor.Color = Me.BackColor
        If (cdBackColor.ShowDialog() = DialogResult.OK) Then
            Me.BackColor = cdBackColor.Color
        End If
    End Sub

    Private Sub btnFont_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFont.Click
        fdFont.Color = Me.ForeColor
        fdFont.Font = Me.Font
        If (fdFont.ShowDialog() = DialogResult.OK) Then
            Me.Font = fdFont.Font
            Me.ForeColor = fdFont.Color
        End If
    End Sub

    ' I'm not initializing this one in code.
    ' At design time I set RootFolder = MyComputer.
    Private Sub btnFolder_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFolder.Click
        If (fbdFolder.ShowDialog() = DialogResult.OK) Then
            txtFolder.Text = fbdFolder.SelectedPath
        End If
    End Sub

    ' I'm not initializing the file dialogs because
    ' they have their own ideas about where to start.
    Private Sub btnOpenFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOpenFile.Click
        If (ofdOpenFile.ShowDialog() = DialogResult.OK) Then
            txtOpenFile.Text = ofdOpenFile.FileName
            sfdSaveFile.FilterIndex = ofdOpenFile.FilterIndex
        End If
    End Sub

    Private Sub btnSaveFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSaveFile.Click
        If (sfdSaveFile.ShowDialog() = DialogResult.OK) Then
            txtSaveFile.Text = sfdSaveFile.FileName
            ofdOpenFile.FilterIndex = sfdSaveFile.FilterIndex
        End If
    End Sub

    ' The printing dialogs don't do anything yet.
    Private Sub btnPrint_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrint.Click
        pdPrint.ShowDialog()
    End Sub

    Private Sub btnPrintPreview_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrintPreview.Click
        ppdPrintPreview.ShowDialog()
    End Sub
End Class
